#!/usr/bin/awk -f

# hd.awk
# Construct a differential histogram from a differential one (ob.data format).
# Miroslav Broz (miroslav.broz@email.cz), Feb 24th 2011

BEGIN{
  i=0;
  rho = 3.0;
  totm = 0.0;

  OFMT="%22.16e";
}
(NF>0){
  i++;
  R[i] = $4/1.e5;	# cm -> km
  dN[i] = $5/$3;	# total mass/one-body mass
  totm = totm + $5;
}
END{
  n = i;

  print n, rho, R[1], totm;
  for (i=1; i<=n; i++) {
    print i, R[i], dN[i];
  }
}

